##
##  gcrypt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         gcrypt
Summary:      Cryptography Library
URL:          ftp://ftp.gnupg.org/gcrypt/libgcrypt/
Vendor:       Werner Koch et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Cryptography
License:      LGPL
Version:      1.10.3
Release:      20231115

#   list of sources
Source0:      ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-%{version}.tar.gz
Patch0:       gcrypt.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gpg-error, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101, gpg-error

%description
    GCrypt is the split-out cryptography library from GnuPG.

%track
    prog gcrypt = {
        version   = %{version}
        url       = ftp://ftp.gnupg.org/gcrypt/libgcrypt/
        regex     = libgcrypt-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n libgcrypt-%{version}
    %patch -p0

%build
    ( echo "ac_cv_lib_pthread_pthread_create=no"
      echo "ac_cv_lib_pth_pth_version=no"
    ) >config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags}" \
    GREP="grep" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --infodir=%{l_prefix}/info \
        --disable-shared
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

